Loading...
Searching...
No Matches
coap_proxy_list_t Struct Reference
Libcoap Internal API » Support

`#include <coap_proxy_internal.h>`

Collaboration diagram for coap_proxy_list_t:
[legend]

## Data Fields

coap_session_t * | ongoing
| Ongoing session.
coap_session_t * | incoming
| Incoming session (used if client tracking(.
coap_proxy_req_t * | req_list
| Incoming list of request info.
size_t | req_count
| Count of incoming request info.
coap_uri_t | uri
| URI info for connection.
coap_tick_t | idle_timeout_ticks
| Idle timeout (0 == no timeout).
coap_tick_t | last_used
| Last time entry was used.

## Detailed Description

Definition at line 37 of file coap_proxy_internal.h.

## Field Documentation

## idle_timeout_ticks

coap_tick_t coap_proxy_list_t::idle_timeout_ticks

Idle timeout (0 == no timeout).

Definition at line 43 of file coap_proxy_internal.h.

## incoming

coap_session_t* coap_proxy_list_t::incoming

Incoming session (used if client tracking(.

Definition at line 39 of file coap_proxy_internal.h.

## last_used

coap_tick_t coap_proxy_list_t::last_used

Last time entry was used.

Definition at line 44 of file coap_proxy_internal.h.

## ongoing

coap_session_t* coap_proxy_list_t::ongoing

Ongoing session.

Definition at line 38 of file coap_proxy_internal.h.

## req_count

size_t coap_proxy_list_t::req_count

Count of incoming request info.

Definition at line 41 of file coap_proxy_internal.h.

## req_list

coap_proxy_req_t* coap_proxy_list_t::req_list

Incoming list of request info.

Definition at line 40 of file coap_proxy_internal.h.

## uri

coap_uri_t coap_proxy_list_t::uri

URI info for connection.

Definition at line 42 of file coap_proxy_internal.h.

The documentation for this struct was generated from the following file:

- coap_proxy_internal.h